%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-DBD-SQLite
Version:       1.74
Release:       1mamba
Summary:       DBD::SQLite - Self-contained RDBMS in a DBI Driver
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/DBD/DBD-SQLite-%{version}.tar.gz
Patch0:        perl-DBD-SQLite-1.27-bz543982.patch
Patch1:        perl-DBD-SQLite-1.31-fts3-test.patch
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libsqlite-devel
BuildRequires: perl-DBI
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(File::Spec)
BuildRequires: perl(DBI)
BuildRequires: perl-DBI-Proxy
BuildRequires: perl-DBI-ProfileDumper-Apache
Requires:      perl >= %perl_major_ver

%description
SQLite is a public domain file-based relational database engine that you can find at
http://www.sqlite.org/.
This module provides a SQLite RDBMS module that uses the system SQLite libraries.

%prep
%setup -q -n DBD-SQLite-%{version}
%patch 0 -p1
#%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test || :

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DBD/*
%{_mandir}/man3/*.3pm*
%doc LICENSE

%changelog
* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 1.74-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.72-2mamba
- rebuilt with perl 5.36.0

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 1.72-1mamba
- automatic version update by autodist

* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 1.70-1mamba
- automatic version update by autodist

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 1.68-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.66-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.38_03-2mamba
- rebuilt with perl 5.24

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.38_03-1mamba
- automatic version update by autodist

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 1.38_02-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.38_01-2mamba
- perl 5.16 mass rebuild

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 1.38_01-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic version update by autodist

* Sun Feb 20 2011 gil <puntogil@libero.it> 1.31-1mamba
- package created by autospec
